
/*******************************  LICENSE  *******************************

 * (C) Copyright 1996-2016 ECMWF.
 *
 * This software is licensed under the terms of the Apache Licence Version 2.0
 * which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
 * In applying this licence, ECMWF does not waive the privileges and immunities
 * granted to it by virtue of its status as an intergovernmental organisation nor
 * does it submit to any jurisdiction.

 *******************************  LICENSE  *******************************/

/*! \fileCurveAreaAttributes.h
    \brief Definition of CurveArea Attributes class.

    This file is automatically generated.
    Do Not Edit!

    Generated: 
*/


#ifndef CurveAreaWrapper_H
#define CurveAreaWrapper_H

#include "magics.h"
#include "ParameterManager.h"
#include "Factory.h"



#include "Curve.h"



#include "CurveWrapper.h"






#include "GraphShadeWrapper.h"


namespace magics {

class MagRequest;


class CurveAreaWrapper: public CurveWrapper

{
public:
//  --  constructor
    CurveAreaWrapper();
    CurveAreaWrapper(CurveArea*);
//  --  destructor
    virtual ~CurveAreaWrapper();
    virtual void set(const MagRequest&);

    CurveArea* me()   { return curvearea_; }

   	virtual CurveArea* object() { return curvearea_; }


	virtual void object(CurveArea* o) {
		// Remember to delete the previous object
		curvearea_ = o;
		CurveWrapper::object(o);
		

	}



protected:
    CurveArea* curvearea_;


//  --  method
	virtual void print(ostream&) const;


private:
    string tag_;
	friend ostream& operator<<(ostream& s,const CurveAreaWrapper& p)
	{ p.print(s); return s; }
};

} // namespace magics

#endif