
/*******************************  LICENSE  *******************************

 * (C) Copyright 1996-2016 ECMWF.
 *
 * This software is licensed under the terms of the Apache Licence Version 2.0
 * which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
 * In applying this licence, ECMWF does not waive the privileges and immunities
 * granted to it by virtue of its status as an intergovernmental organisation nor
 * does it submit to any jurisdiction.

 *******************************  LICENSE  *******************************/

/*! \fileGeoJsonDriverAttributes.h
    \brief Definition of GeoJsonDriver Attributes class.

    This file is automatically generated.
    Do Not Edit!

    Generated: 
*/


#ifndef GeoJsonDriverWrapper_H
#define GeoJsonDriverWrapper_H

#include "magics.h"
#include "ParameterManager.h"
#include "Factory.h"



#include "GeoJsonDriver.h"



#include "BaseDriverWrapper.h"








namespace magics {

class MagRequest;


class GeoJsonDriverWrapper: public BaseDriverWrapper

{
public:
//  --  constructor
    GeoJsonDriverWrapper();
    GeoJsonDriverWrapper(GeoJsonDriver*);
//  --  destructor
    virtual ~GeoJsonDriverWrapper();
    virtual void set(const MagRequest&);

    GeoJsonDriver* me()   { return geojsondriver_; }

   	virtual GeoJsonDriver* object() { return geojsondriver_; }


	virtual void object(GeoJsonDriver* o) {
		// Remember to delete the previous object
		geojsondriver_ = o;
		BaseDriverWrapper::object(o);
		

	}



protected:
    GeoJsonDriver* geojsondriver_;


//  --  method
	virtual void print(ostream&) const;


private:
    string tag_;
	friend ostream& operator<<(ostream& s,const GeoJsonDriverWrapper& p)
	{ p.print(s); return s; }
};

} // namespace magics

#endif