
/*******************************  LICENSE  *******************************

 * (C) Copyright 1996-2016 ECMWF.
 *
 * This software is licensed under the terms of the Apache Licence Version 2.0
 * which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
 * In applying this licence, ECMWF does not waive the privileges and immunities
 * granted to it by virtue of its status as an intergovernmental organisation nor
 * does it submit to any jurisdiction.

 *******************************  LICENSE  *******************************/

/*! \fileProj4GeoseAttributes.h
    \brief Definition of Proj4Geose Attributes class.

    This file is automatically generated.
    Do Not Edit!

    Generated: 
*/


#ifndef Proj4GeoseWrapper_H
#define Proj4GeoseWrapper_H

#include "magics.h"
#include "ParameterManager.h"
#include "Factory.h"



#include "Proj4Projection.h"



#include "Proj4ProjectionWrapper.h"








namespace magics {

class MagRequest;


class Proj4GeoseWrapper: public Proj4ProjectionWrapper

{
public:
//  --  constructor
    Proj4GeoseWrapper();
    Proj4GeoseWrapper(Proj4Geose*);
//  --  destructor
    virtual ~Proj4GeoseWrapper();
    virtual void set(const MagRequest&);

    Proj4Geose* me()   { return proj4geose_; }

   	virtual Proj4Geose* object() { return proj4geose_; }


	virtual void object(Proj4Geose* o) {
		// Remember to delete the previous object
		proj4geose_ = o;
		Proj4ProjectionWrapper::object(o);
		

	}



protected:
    Proj4Geose* proj4geose_;


//  --  method
	virtual void print(ostream&) const;


private:
    string tag_;
	friend ostream& operator<<(ostream& s,const Proj4GeoseWrapper& p)
	{ p.print(s); return s; }
};

} // namespace magics

#endif