
/*******************************  LICENSE  *******************************

 * (C) Copyright 1996-2016 ECMWF.
 *
 * This software is licensed under the terms of the Apache Licence Version 2.0
 * which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
 * In applying this licence, ECMWF does not waive the privileges and immunities
 * granted to it by virtue of its status as an intergovernmental organisation nor
 * does it submit to any jurisdiction.

 *******************************  LICENSE  *******************************/

/*! \fileProj4ProjectionAttributes.h
    \brief Definition of Proj4Projection Attributes class.

    This file is automatically generated.
    Do Not Edit!

    Generated: 
*/


#ifndef Proj4ProjectionWrapper_H
#define Proj4ProjectionWrapper_H

#include "magics.h"
#include "ParameterManager.h"
#include "Factory.h"



#include "Proj4Projection.h"



#include "TransformationWrapper.h"








namespace magics {

class MagRequest;


class Proj4ProjectionWrapper: public TransformationWrapper

{
public:
//  --  constructor
    Proj4ProjectionWrapper();
    Proj4ProjectionWrapper(Proj4Projection*);
//  --  destructor
    virtual ~Proj4ProjectionWrapper();
    virtual void set(const MagRequest&);

    Proj4Projection* me()   { return proj4projection_; }

   	virtual Proj4Projection* object() { return proj4projection_; }


	virtual void object(Proj4Projection* o) {
		// Remember to delete the previous object
		proj4projection_ = o;
		TransformationWrapper::object(o);
		

	}



protected:
    Proj4Projection* proj4projection_;


//  --  method
	virtual void print(ostream&) const;


private:
    string tag_;
	friend ostream& operator<<(ostream& s,const Proj4ProjectionWrapper& p)
	{ p.print(s); return s; }
};

} // namespace magics

#endif