
/*******************************  LICENSE  *******************************

 * (C) Copyright 1996-2016 ECMWF.
 *
 * This software is licensed under the terms of the Apache Licence Version 2.0
 * which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
 * In applying this licence, ECMWF does not waive the privileges and immunities
 * granted to it by virtue of its status as an intergovernmental organisation nor
 * does it submit to any jurisdiction.

 *******************************  LICENSE  *******************************/

/*! \fileSkewtAttributes.h
    \brief Definition of Skewt Attributes class.

    This file is automatically generated.
    Do Not Edit!

    Generated: 
*/


#ifndef SkewtWrapper_H
#define SkewtWrapper_H

#include "magics.h"
#include "ParameterManager.h"
#include "Factory.h"



#include "Skewt.h"



#include "TransformationWrapper.h"








namespace magics {

class MagRequest;


class SkewtWrapper: public TransformationWrapper

{
public:
//  --  constructor
    SkewtWrapper();
    SkewtWrapper(Skewt*);
//  --  destructor
    virtual ~SkewtWrapper();
    virtual void set(const MagRequest&);

    Skewt* me()   { return skewt_; }

   	virtual Skewt* object() { return skewt_; }


	virtual void object(Skewt* o) {
		// Remember to delete the previous object
		skewt_ = o;
		TransformationWrapper::object(o);
		

	}



protected:
    Skewt* skewt_;


//  --  method
	virtual void print(ostream&) const;


private:
    string tag_;
	friend ostream& operator<<(ostream& s,const SkewtWrapper& p)
	{ p.print(s); return s; }
};

} // namespace magics

#endif