
/*******************************  LICENSE  *******************************

 * (C) Copyright 1996-2016 ECMWF.
 *
 * This software is licensed under the terms of the Apache Licence Version 2.0
 * which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
 * In applying this licence, ECMWF does not waive the privileges and immunities
 * granted to it by virtue of its status as an intergovernmental organisation nor
 * does it submit to any jurisdiction.

 *******************************  LICENSE  *******************************/

/*! \fileStreamlinesAttributes.h
    \brief Definition of Streamlines Attributes class.

    This file is automatically generated.
    Do Not Edit!

    Generated: 
*/


#ifndef StreamlinesWrapper_H
#define StreamlinesWrapper_H

#include "magics.h"
#include "ParameterManager.h"
#include "Factory.h"



#include "Streamlines.h"



#include "WindPlottingWrapper.h"








namespace magics {

class MagRequest;


class StreamlinesWrapper: public WindPlottingWrapper

{
public:
//  --  constructor
    StreamlinesWrapper();
    StreamlinesWrapper(Streamlines*);
//  --  destructor
    virtual ~StreamlinesWrapper();
    virtual void set(const MagRequest&);

    Streamlines* me()   { return streamlines_; }

   	virtual Streamlines* object() { return streamlines_; }


	virtual void object(Streamlines* o) {
		// Remember to delete the previous object
		streamlines_ = o;
		WindPlottingWrapper::object(o);
		

	}



protected:
    Streamlines* streamlines_;


//  --  method
	virtual void print(ostream&) const;


private:
    string tag_;
	friend ostream& operator<<(ostream& s,const StreamlinesWrapper& p)
	{ p.print(s); return s; }
};

} // namespace magics

#endif